Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ant.utils
Class TaskLog

    java.lang.Object
      org.mortbay.jetty.ant.utils.TaskLog

    public class TaskLog

extends Object

Provides logging functionality for classes without access to the Ant project variable.

Author:
  Jakub Pawlowicz

Constructor Summary
`TaskLog()`

Method Summary
`static void` | `log(String message)`
`static void` | `logWithTimestamp(String message)`
`static void` | `setTask(org.apache.tools.ant.Task task)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskLog

    public TaskLog()

Method Detail

### setTask

    public static void setTask(org.apache.tools.ant.Task task)

### log

    public static void log(String message)

### logWithTimestamp

    public static void logWithTimestamp(String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.